### Method

# FwupdPlugin Context add_udev_subsystem

#### Declaration [src]

    void
    fu_context_add_udev_subsystem (
      FuContext* self,
      const gchar* subsystem,
      const gchar* plugin_name
    )

#### Description [src]

Registers the udev subsystem to be watched by the daemon.

Plugins can use this method only in `fu_plugin_init()`

Available since: | 1.6.0

#### Parameters

`subsystem` | `const gchar*`
| A subsystem name, e.g. `pciport`, or `block:partition`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`plugin_name` | `const gchar*`
| A plugin name, e.g. `iommu`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.